package com.yanzhu.manage.domain;

import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户培训视频对象 bus_training_video_user
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public class BusTrainingVideoUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 部门主键 */
    @Excel(name = "部门主键")
    private Long deptId;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 用户主键 */
    @Excel(name = "用户主键")
    private Long userId;

    /** 视频主键 */
    @Excel(name = "视频主键")
    private Long videoId;

    /** 播放状态 */
    @Excel(name = "播放状态")
    private Long playStatus;

    /** 排序 */
    @Excel(name = "排序")
    private Long sortBy;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setVideoId(Long videoId) 
    {
        this.videoId = videoId;
    }

    public Long getVideoId() 
    {
        return videoId;
    }
    public void setPlayStatus(Long playStatus) 
    {
        this.playStatus = playStatus;
    }

    public Long getPlayStatus() 
    {
        return playStatus;
    }
    public void setSortBy(Long sortBy) 
    {
        this.sortBy = sortBy;
    }

    public Long getSortBy() 
    {
        return sortBy;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deptId", getDeptId())
            .append("projectId", getProjectId())
            .append("userId", getUserId())
            .append("videoId", getVideoId())
            .append("playStatus", getPlayStatus())
            .append("sortBy", getSortBy())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
